<?php
/*
* 2007-2012 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2012 PrestaShop SA
*  @version  Release: $Revision: 14390 $
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_'))
	exit;

class PayPalOrder
{

	/*
	 * Get PayPal order data
	 * - ID Order
	 * - ID Transaction
	 * - ID Invoice
	 * - Currency (ISO)
	 * - Total paid
	 * - Shipping
	 * - Capture (bool)
	 * - Payment date
	 * - Payment method (int)
	 * - Payment status
	 */
	public static function getOrderById($id_order)
	{
		$sql = 'SELECT * FROM `'._DB_PREFIX_.'paypal_order`
				WHERE `id_order` = '.(int)$id_order;

		return Db::getInstance()->getRow($sql);
	}

	public static function getIdOrderByTransactionId($id_transaction)
	{
		$sql = 'SELECT `id_order` FROM `'._DB_PREFIX_.'paypal_order`
				WHERE `id_transaction` = \''.pSQL($id_transaction) . '\'';

		return Db::getInstance()->getRow($sql);
	}

	public static function saveOrder($id_order, $transaction)
	{
		$id_order		= (int)$id_order;
		$id_transaction	= pSQL($transaction['id_transaction']);
		$id_invoice		= pSQL($transaction['id_invoice']);
		$currency		= pSQL($transaction['currency']);
		$payment_date	= pSQL($transaction['payment_date']);
		$shipping		= (float)$transaction['shipping'];
		$capture		= (int)Configuration::get('PAYPAL_CAPTURE');
		$payment_method	= (int)Configuration::get('PAYPAL_PAYMENT_METHOD');

		$order			= new Order($id_order);
		$total_paid		= (float)$transaction['total_paid'];

		if ($order->gift)
		{
			$total_paid += (float)Configuration::get('PS_GIFT_WRAPPING_PRICE');
		}

		$sql = 'INSERT INTO `' . _DB_PREFIX_ . 'paypal_order`
				(`id_order`, `id_transaction`, `id_invoice`, `currency`, `total_paid`, `shipping`, `payment_date`, `payment_method`, `capture`)
				VALUES (' . $id_order . ', \'' . $id_transaction . '\', \'' . $id_invoice . '\', \'' . $currency . '\', \'' . $total_paid . '\', \'' . $shipping . '\', \'' . $payment_date . '\', ' . $payment_method . ', ' . $capture . ')';

		Db::getInstance()->Execute($sql);
	}

}